Subject: Re: [PATCH -next 1/2] net: tc35815: Fix build error due to missed API change

From: Andrew Lunn <[email-masked]>
Date: Sat, 9 Jan 2016 23:09:24 +0100

> >Hi Guenter
> >
> >You fix looks right, but i'm wondering about the code which is being
> >fixed.
> >
> >How can phydev ever evaluate to true, given the break statement?  Can
> >this code every detect multiple PHYs? I think not.
> >
> >Either the break needs to be removed, or we just replace the whole lot
> >with phy_find_first().
> >
> 
> Hi Andrew,
> 
> you are right, the current code is pretty pointless.
> 
> I would suggest to use phy_find_first().

Me too.

> Should I submit a separate patch, or replace my patch with v2 ?

I say a v2 which uses phy_find_first() and include in the changelog
why the current code is pointless and so the change to
phy_find_first().

	Thanks
		Andrew